Airwallex logo
Airwallex logoAirwallex logo

Conversion Quotes

Copy for LLMView as Markdown

A conversion quote locks the conversion rate between the merchant and shopper currencies for a certain period of time. Merchants can repeatedly use it to price payments in the shopper's local currency during its validity period. Please refer to our product documentation for integration details.

Data Retention Policy: You can query ConversionQuote resources for a maximum of 31 days since creation.

Endpoints
POST /api/v1/pa/conversion_quotes/create
GET /api/v1/pa/conversion_quotes/{id}

Create a conversion quote

POST /api/v1/pa/conversion_quotes/create

Create a new conversion quote for converting from merchant currency to shopper currency.

Request body
merchant_currencyrequiredstring

The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).

request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

shopper_currencyrequiredstring

The currency that the shopper prefers to use (3-letter ISO-4217 code).

validity_periodstring

The period for which the conversion quote remains valid. One of HR_1, HR_24. If not specified, the default value is HR_1.

Response body - 201 Created
conversion_ratenumber

The conversion rate from the merchant currency to the shopper currency.

created_atstring

Time at which this ConversionQuote was created.

expires_atstring

Time at which this ConversionQuote expires.

idstring

Unique identifier of the ConversionQuote.

merchant_currencystring

The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).

shopper_currencystring

The currency that the shopper prefers to use (3-letter ISO-4217 code).

statusstring

Status of the ConversionQuote

  • CREATED: The conversion quote has been created and is valid for use.
  • EXPIRED: The conversion quote has expired.
validity_periodstring

The period for which the conversion quote remains valid. One of HR_1, HR_24.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, duplicate_request

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/conversion_quotes/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/conversion_quotes/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "merchant_currency": "USD",
> "request_id": "71e0ff5a-d4c0-4c1d-b77b-64b2966d5411",
> "shopper_currency": "SGD",
> "validity_period": "HR_1"
>}'
Response (201 Created)
1{
2 "conversion_rate": 1.287532,
3 "created_at": "2025-07-15T06:15:09Z",
4 "expires_at": "2025-07-15T07:15:09Z",
5 "id": "cvq_hkpd5k6pgfub1fyurc86",
6 "merchant_currency": "USD",
7 "shopper_currency": "SGD",
8 "status": "CREATED",
9 "validity_period": "HR_1"
10}
Was this section helpful?

Retrieve a conversion quote

GET /api/v1/pa/conversion_quotes/{id}

Get a conversion quote by specifying its unique id.

Parameters
idrequiredstring

Unique identifier of the conversion quote

Response body - 200 OK
conversion_ratenumber

The conversion rate from the merchant currency to the shopper currency.

created_atstring

Time at which this ConversionQuote was created.

expires_atstring

Time at which this ConversionQuote expires.

idstring

Unique identifier of the ConversionQuote.

merchant_currencystring

The currency used by the merchant for pricing or payment (3-letter ISO 4217 code).

shopper_currencystring

The currency that the shopper prefers to use (3-letter ISO-4217 code).

statusstring

Status of the ConversionQuote

  • CREATED: The conversion quote has been created and is valid for use.
  • EXPIRED: The conversion quote has expired.
validity_periodstring

The period for which the conversion quote remains valid. One of HR_1, HR_24.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/conversion_quotes/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/conversion_quotes/conversion_quote_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "conversion_rate": 1.287532,
3 "created_at": "2025-07-15T06:15:09Z",
4 "expires_at": "2025-07-15T07:15:09Z",
5 "id": "cvq_hkpd5k6pgfub1fyurc86",
6 "merchant_currency": "USD",
7 "shopper_currency": "SGD",
8 "status": "CREATED",
9 "validity_period": "HR_1"
10}
Was this section helpful?